/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workaftermath.service;

import java.util.List;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.jeeplus.modules.workbidingproject.entity.WorkBidingProject;
import com.jeeplus.common.persistence.Page;
import com.jeeplus.common.service.CrudService;
import com.jeeplus.modules.workaftermath.entity.WorkAftermath;
import com.jeeplus.modules.workaftermath.dao.WorkAftermathDao;

/**
 * 评标后工作管理Service
 * @author liuw
 * @version 2017-12-26
 */
@Service
@Transactional(readOnly = true)
public class WorkAftermathService extends CrudService<WorkAftermathDao, WorkAftermath> {

	public WorkAftermath get(String id) {
		return super.get(id);
	}
	
	public List<WorkAftermath> findList(WorkAftermath workAftermath) {
		return super.findList(workAftermath);
	}
	
	public Page<WorkAftermath> findPage(Page<WorkAftermath> page, WorkAftermath workAftermath) {
		return super.findPage(page, workAftermath);
	}
	
	@Transactional(readOnly = false)
	public void save(WorkAftermath workAftermath) {
		super.save(workAftermath);
	}
	
	@Transactional(readOnly = false)
	public void delete(WorkAftermath workAftermath) {
		super.delete(workAftermath);
	}
	
	public Page<WorkBidingProject> findPageByworkBidingProject(Page<WorkBidingProject> page, WorkBidingProject workBidingProject) {
		workBidingProject.setPage(page);
		page.setList(dao.findListByworkBidingProject(workBidingProject));
		return page;
	}
	
	
	
}